Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-8035

Adopt JDK options for tests when running Java9+

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 7.2, 8.0
    • Component/s: None
    • Labels:
    • Lucene Fields:
      New

      Description

      Currently, Policeman Jenkins uses --illegal-access=deny when running tests on Java 9 or later. We should do this by default, so we ensure that nothing uses private APIs of the JDK or tries to do setAccessible() on runtime classes.

        Attachments

        1. LUCENE-8035.patch
          1 kB
          Uwe Schindler

          Activity

            People

            • Assignee:
              uschindler Uwe Schindler
              Reporter:
              uschindler Uwe Schindler
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: